/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HBSS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HBSS_PARAMETERCONFIG') 
 CREATE TABLE T_HBSS_PARAMETERCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAPPID VARCHAR(19) DEFAULT ' ' NOT NULL,
FBASEDATAFIELD VARCHAR(60) DEFAULT ' ' NOT NULL,
FENABLESTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FISAUDIT CHAR(1) DEFAULT '0' NOT NULL,
FISCHANGE CHAR(1) DEFAULT '1' NOT NULL,
FISOPEN CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HBSS_PARAMETERCONFIG_L') 
 CREATE TABLE T_HBSS_PARAMETERCONFIG_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


 --- drop TABLE --------- 不允许删除表T_HBSS_CUSTOMPANEL，请恢复pdm ------------------- 
 --- drop TABLE --------- 不允许删除表T_HBSS_CUSTOMFIELD，请恢复pdm ------------------- 

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HBSS_table.sql **/
